<Query Kind="Statements" />

/*
  LINQ ROX! Integrating LINQ into the Database Curriculum 
  Suzanne W. Dietrich and Mahesh Chaudhari
  SIGCSE 2011
*/

/* Figure 5: LINQ to SQL returning XML */

var minEmpSalary = employee.Min(e => e.eSalary);
var minSalaryEmployees =
  new XElement("minSalaryEmployees",
	  new XAttribute("minSalary", minEmpSalary),
	  from e in employee
	  where e.eSalary == minEmpSalary
	  select new XElement("employee",
						new XElement("name", e.eFirst + " " + e.eLast),
						new XElement("title", e.eTitle)));
minSalaryEmployees.Dump("minSalaryEmployees");