select xmlelement("minSalaryEmployees", 
                xmlattributes(min(e.eSalary) as "minSalary"),
                xmlagg(xmlelement("employee",
                     xmlforest(e.eFirst || ' ' || e.eLast as "name", 
                                    e.eTitle as "title"))))
    from employee e
    where e.eSalary = (select min(eSalary) from employee);
