﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EmployeeTraining
{
    public class TechnologyArea
    {
        //constructor
        public TechnologyArea()
        {
            aID = null;
            aTitle = null;
            aURL = null;
            leader = null;
        }
        //constructor
        public TechnologyArea(string id, string title, string url, Employee employee)
        {
            aID = id;
            aTitle = title;
            aURL = url;
            leader = employee;
        }

        //Attributes
        protected string _aID;
        public string aID
        {
            get { return _aID; }
            set { _aID = value; }
        }
        protected string _aTitle;
        public string aTitle
        {
            get { return _aTitle; }
            set { _aTitle = value; }
        }
        protected string _aURL;
        public string aURL
        {
            get { return _aURL; }
            set { _aURL = value; }
        }
        protected Employee _leader;
        public Employee leader
        {
            get { return _leader; }
            set { _leader = value; }
        }
        protected List<TrainingCourse> _courses = new List<TrainingCourse>();
        public List<TrainingCourse> courses
        {
            get { return _courses; }
            set { _courses = value; }
        }

        /*protected TrainingCourse[] _courses;
        public TrainingCourse[] courses
        {
            get { return _courses; }
            set { _courses = value; }
        }*/
    }
}
