/*
  LINQ ROX! Integrating LINQ into the Database Curriculum 
  Suzanne W. Dietrich and Mahesh Chaudhari
  SIGCSE 2011
  
  The Employee Training Data is taken from the book:
  Understanding Relational Database Query Languages
  - S. W. Dietrich, 2001
*/

-- @employee(eID/char,eLast/char,eFirst/char,eTitle/char,eSalary/numeric):eID
INSERT INTO employee VALUES ('111','Last111','First111','Database Administrator',75111);
INSERT INTO employee VALUES ('222','Last222','First222','Software Engineer',51722);
INSERT INTO employee VALUES ('321','Last321','First321','Database Administrator',68321);
INSERT INTO employee VALUES ('333','Last333','First333','Sr Software Engineer',60333);
INSERT INTO employee VALUES ('345','Last345','First345','Sr Software Engineer',59345);
INSERT INTO employee VALUES ('369','Last369','First369','Software Engineer',36369);
INSERT INTO employee VALUES ('444','Last444','First444','Software Engineer',44444);
INSERT INTO employee VALUES ('456','Last456','First456','Software Engineer',45456);
INSERT INTO employee VALUES ('555','Last555','First555','Sr Software Engineer',55555);
INSERT INTO employee VALUES ('654','Last654','First654','Coach',60654);
INSERT INTO employee VALUES ('666','Last666','First666','Coach',66666);
INSERT INTO employee VALUES ('678','Last678','First678','Coach',67678);
INSERT INTO employee VALUES ('693','Last693','First693','Coach',69693);
INSERT INTO employee VALUES ('777','Last777','First777','Database Administrator',77777);
INSERT INTO employee VALUES ('789','Last789','First789','Database Administrator',78789);
INSERT INTO employee VALUES ('888','Last888','First888','Database Administrator',88888);
INSERT INTO employee VALUES ('963','Last963','First963','Manager',98963);
INSERT INTO employee VALUES ('987','Last987','First987','Manager',99987);
INSERT INTO employee VALUES ('999','Last999','First999','Manager',100999);

-- @technologyArea(aID/char,aTitle/char,aURL/char,aLeadID/char):aID
INSERT INTO technologyArea VALUES ('DB','Database','http://www.company.intranet/technology/db','321');
INSERT INTO technologyArea VALUES ('JA','Java','http://www.company.intranet/technology/java','333');
INSERT INTO technologyArea VALUES ('SE','Software Engineering','http://www.company.intranet/technology/software','345');
INSERT INTO technologyArea VALUES ('WW','Web','http://www.company.intranet/technology/web','369');

--@trainingCourse(cID/char,cTitle/char,cHours/numeric,areaID/char):cID
INSERT INTO trainingCourse VALUES ('DB01','Microsoft Access',8,'DB');
INSERT INTO trainingCourse VALUES ('DB02','Query Languages',16,'DB');
INSERT INTO trainingCourse VALUES ('DB03','Database Modeling',8,'DB');
INSERT INTO trainingCourse VALUES ('DB04','Transactions',8,'DB');
INSERT INTO trainingCourse VALUES ('JA01','Introduction to Java',8,'JA');
INSERT INTO trainingCourse VALUES ('JA02','JavaBeans',16,'JA');
INSERT INTO trainingCourse VALUES ('JA03','nterprise JavaBeans',32,'JA');
INSERT INTO trainingCourse VALUES ('JA04','JDBC',8,'JA');
INSERT INTO trainingCourse VALUES ('SE01','Patterns',16,'SE');
INSERT INTO trainingCourse VALUES ('SE02','Validation and Verification',32,'SE');
INSERT INTO trainingCourse VALUES ('SE03','Software Components',40,'SE');
INSERT INTO trainingCourse VALUES ('WW01','Dynamic HTML',8,'WW');
INSERT INTO trainingCourse VALUES ('WW02','XML',16,'WW');
INSERT INTO trainingCourse VALUES ('WW03','XSLT',24,'WW');

--@takes(eID/char,cID/char,tYear/numeric,tMonth/numeric,tDay/numeric):eID,cID
INSERT INTO takes VALUES ('321','JA01',2000,7,24);
INSERT INTO takes VALUES ('333','JA04',2000,7,27);
INSERT INTO takes VALUES ('333','SE01',2000,6,1);
INSERT INTO takes VALUES ('345','SE01',2000,6,1);
INSERT INTO takes VALUES ('345','SE02',2000,6,2);
INSERT INTO takes VALUES ('345','WW01',2000,8,1);
INSERT INTO takes VALUES ('369','JA04',2000,7,27);
INSERT INTO takes VALUES ('369','WW01',2000,8,1);
INSERT INTO takes VALUES ('369','WW02',2000,8,2);
INSERT INTO takes VALUES ('369','WW03',2000,8,3);
INSERT INTO takes VALUES ('444','DB01',2000,5,1);
INSERT INTO takes VALUES ('444','DB02',2000,9,15);
INSERT INTO takes VALUES ('456','JA01',2001,1,15);
INSERT INTO takes VALUES ('456','WW01',2001,3,1);
INSERT INTO takes VALUES ('555','DB03',2000,9,22);
INSERT INTO takes VALUES ('666','JA01',2000,1,1);
INSERT INTO takes VALUES ('678','JA01',2000,1,1);
INSERT INTO takes VALUES ('678','JA02',2000,1,2);
INSERT INTO takes VALUES ('693','JA01',2000,7,24);
INSERT INTO takes VALUES ('693','JA02',2000,1,2);
INSERT INTO takes VALUES ('693','JA03',2000,12,12);
INSERT INTO takes VALUES ('693','JA04',2000,12,4);
INSERT INTO takes VALUES ('777','DB01',2000,5,1);
INSERT INTO takes VALUES ('777','DB02',2000,9,15);
INSERT INTO takes VALUES ('777','DB03',2000,9,22);
INSERT INTO takes VALUES ('777','DB04',2000,9,29);
INSERT INTO takes VALUES ('789','WW01',2001,3,1);
INSERT INTO takes VALUES ('888','DB01',2000,5,1);
INSERT INTO takes VALUES ('888','JA01',2000,7,24);
INSERT INTO takes VALUES ('888','SE01',2000,6,1);
INSERT INTO takes VALUES ('888','WW01',2000,8,1);
INSERT INTO takes VALUES ('987','JA01',2000,7,24);
INSERT INTO takes VALUES ('999','DB01',2000,5,1);
INSERT INTO takes VALUES ('999','SE01',2000,6,1);

