﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EmployeeTraining
{
    public class TrainingCourse
    {
        //empty constructor
        public TrainingCourse()
        {
            cID = null;
            cTitle = null;
            cHours = 0;
            area = null;
        }
        //constructor
        public TrainingCourse(string id, string title, int hours, TechnologyArea tarea)
        {
            cID = id;
            cTitle = title;
            cHours = hours;
            area = tarea;
        }

        //Attributes
        protected string _cID;
        public string cID
        {
            get { return _cID; }
            set { _cID = value; }
        }
        protected string _cTitle;
        public string cTitle
        {
            get { return _cTitle; }
            set { _cTitle = value; }
        }
        protected int _cHours;
        public int cHours
        {
            get { return _cHours; }
            set { _cHours = value; }
        }
        protected TechnologyArea _area;
        public TechnologyArea area
        {
            get { return _area; }
            set { _area = value; }
        }
        protected List<Takes> _empsTaken = new List<Takes>();
        public List<Takes> empsTaken
        {
            get { return _empsTaken; }
            set { _empsTaken = value; }
        }

        /*protected Takes[] _empsTaken;
        public Takes[] empsTaken
        {
            get { return _empsTaken; }
            set { _empsTaken = value; }
        }*/
    }
}
